Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class TransformerHandlerImpl

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.TransformerHandlerImpl

public class TransformerHandlerImpl
extends java.lang.Object
implements org.xml.sax.EntityResolver, org.xml.sax.DTDHandler, org.xml.sax.ContentHandler, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, javax.xml.transform.sax.TransformerHandler, org.xml.sax.ext.DeclHandler

A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`TransformerHandlerImpl(TransformerImpl transformer, boolean doFragment, java.lang.String baseSystemID)` Construct a TransformerHandlerImpl.

Method Summary
`void` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` Report an attribute type declaration.
`void` | `characters(char[] ch, int start, int length)` Filter a character data event.
`protected void` | `clearCoRoutine()` Do what needs to be done to shut down the CoRoutine management.
`protected void` | `clearCoRoutine(org.xml.sax.SAXException ex)` Do what needs to be done to shut down the CoRoutine management.
`void` | `comment(char[] ch, int start, int length)` Report an XML comment anywhere in the document.
`void` | `elementDecl(java.lang.String name, java.lang.String model)` Report an element type declaration.
`void` | `endCDATA()` Report the end of a CDATA section.
`void` | `endDocument()` Filter an end document event.
`void` | `endDTD()` Report the end of DTD declarations.
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Filter an end element event.
`void` | `endEntity(java.lang.String name)` Report the end of an entity.
`void` | `endPrefixMapping(java.lang.String prefix)` Filter an end Namespace prefix mapping event.
`void` | `error(org.xml.sax.SAXParseException e)` Filter an error event.
`void` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report a parsed external entity declaration.
`void` | `fatalError(org.xml.sax.SAXParseException e)` Filter a fatal error event.
`java.lang.String` | `getSystemId()` Get the base ID (URI or system ID) from where relative URLs will be resolved.
`javax.xml.transform.Transformer` | `getTransformer()` Get the Transformer associated with this handler, which is needed in order to set parameters and output properties.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Filter an ignorable whitespace event.
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` Report an internal entity declaration.
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Filter a notation declaration event.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Filter a processing instruction event.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Filter an external entity resolution.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Filter a new document locator event.
`void` | `setResult(javax.xml.transform.Result result)` Enables the user of the TransformerHandler to set the to set the Result for the transformation.
`void` | `setSystemId(java.lang.String systemID)` Set the base ID (URI or system ID) from where relative URLs will be resolved.
`void` | `skippedEntity(java.lang.String name)` Filter a skipped entity event.
`void` | `startCDATA()` Report the start of a CDATA section.
`void` | `startDocument()` Filter a start document event.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report the start of DTD declarations, if any.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Filter a start element event.
`void` | `startEntity(java.lang.String name)` Report the beginning of an entity in content.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Filter a start Namespace prefix mapping event.
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Filter an unparsed entity declaration event.
`void` | `warning(org.xml.sax.SAXParseException e)` Filter a warning event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerHandlerImpl

    public TransformerHandlerImpl(TransformerImpl transformer,
                                  boolean doFragment,
                                  java.lang.String baseSystemID)

  Construct a TransformerHandlerImpl.

  Parameters:
    `transformer` - Non-null reference to the Xalan transformer impl.
    `doFragment` - True if the result should be a document fragement.
    `baseSystemID` - The system ID to use as the base for relative URLs.

Method Detail

### clearCoRoutine

    protected void clearCoRoutine()

  Do what needs to be done to shut down the CoRoutine management.

### clearCoRoutine

    protected void clearCoRoutine(org.xml.sax.SAXException ex)

  Do what needs to be done to shut down the CoRoutine management.

### setResult

    public void setResult(javax.xml.transform.Result result)
                   throws java.lang.IllegalArgumentException

  Enables the user of the TransformerHandler to set the to set the Result for the transformation.
  Specified by:
    setResult in interface javax.xml.transform.sax.TransformerHandler

  Parameters:
    `result` - A Result instance, should not be null.
  Throws:
    java.lang.IllegalArgumentException - if result is invalid for some reason.

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Set the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    setSystemId in interface javax.xml.transform.sax.TransformerHandler

  Parameters:
    `systemID` - Base URI for the source tree.

### getSystemId

    public java.lang.String getSystemId()

  Get the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    getSystemId in interface javax.xml.transform.sax.TransformerHandler

  Returns:
    The systemID that was set with `setSystemId(java.lang.String)`.

### getTransformer

    public javax.xml.transform.Transformer getTransformer()

  Get the Transformer associated with this handler, which is needed in order to set parameters and output properties.
  Specified by:
    getTransformer in interface javax.xml.transform.sax.TransformerHandler

  Returns:
    The Transformer associated with this handler

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  Filter an external entity resolution.
  Specified by:
    resolveEntity in interface org.xml.sax.EntityResolver

  Parameters:
    `publicId` - The entity's public identifier, or null.
    `systemId` - The entity's system identifier.
  Returns:
    A new InputSource or null for the default.
  Throws:
    java.io.IOException -
    org.xml.sax.SAXException - The client may throw an exception during processing.
    java.io.IOException - The client may throw an I/O-related exception while obtaining the new InputSource.
  See Also:
    `EntityResolver.resolveEntity(java.lang.String, java.lang.String)`

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Filter a notation declaration event.
  Specified by:
    notationDecl in interface org.xml.sax.DTDHandler

  Parameters:
    `name` - The notation name.
    `publicId` - The notation's public identifier, or null.
    `systemId` - The notation's system identifier, or null.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `DTDHandler.notationDecl(java.lang.String, java.lang.String, java.lang.String)`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Filter an unparsed entity declaration event.
  Specified by:
    unparsedEntityDecl in interface org.xml.sax.DTDHandler

  Parameters:
    `name` - The entity name.
    `publicId` - The entity's public identifier, or null.
    `systemId` - The entity's system identifier, or null.
    `notationName` - The name of the associated notation.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Filter a new document locator event.
  Specified by:
    setDocumentLocator in interface org.xml.sax.ContentHandler

  Parameters:
    `locator` - The document locator.
  See Also:
    `ContentHandler.setDocumentLocator(org.xml.sax.Locator)`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Filter a start document event.
  Specified by:
    startDocument in interface org.xml.sax.ContentHandler

  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startDocument()`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Filter an end document event.
  Specified by:
    endDocument in interface org.xml.sax.ContentHandler

  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endDocument()`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Filter a start Namespace prefix mapping event.
  Specified by:
    startPrefixMapping in interface org.xml.sax.ContentHandler

  Parameters:
    `prefix` - The Namespace prefix.
    `uri` - The Namespace URI.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Filter an end Namespace prefix mapping event.
  Specified by:
    endPrefixMapping in interface org.xml.sax.ContentHandler

  Parameters:
    `prefix` - The Namespace prefix.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endPrefixMapping(java.lang.String)`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Filter a start element event.
  Specified by:
    startElement in interface org.xml.sax.ContentHandler

  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
    `atts` - The element's attributes.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Filter an end element event.
  Specified by:
    endElement in interface org.xml.sax.ContentHandler

  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Filter a character data event.
  Specified by:
    characters in interface org.xml.sax.ContentHandler

  Parameters:
    `ch` - An array of characters.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.characters(char[], int, int)`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Filter an ignorable whitespace event.
  Specified by:
    ignorableWhitespace in interface org.xml.sax.ContentHandler

  Parameters:
    `ch` - An array of characters.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.ignorableWhitespace(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Filter a processing instruction event.
  Specified by:
    processingInstruction in interface org.xml.sax.ContentHandler

  Parameters:
    `target` - The processing instruction target.
    `data` - The text following the target.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Filter a skipped entity event.
  Specified by:
    skippedEntity in interface org.xml.sax.ContentHandler

  Parameters:
    `name` - The name of the skipped entity.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.skippedEntity(java.lang.String)`

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Filter a warning event.
  Specified by:
    warning in interface org.xml.sax.ErrorHandler

  Parameters:
    `e` - The nwarning as an exception.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ErrorHandler.warning(org.xml.sax.SAXParseException)`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Filter an error event.
  Specified by:
    error in interface org.xml.sax.ErrorHandler

  Parameters:
    `e` - The error as an exception.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ErrorHandler.error(org.xml.sax.SAXParseException)`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Filter a fatal error event.
  Specified by:
    fatalError in interface org.xml.sax.ErrorHandler

  Parameters:
    `e` - The error as an exception.
  Throws:
    org.xml.sax.SAXException - The client may throw an exception during processing.
  See Also:
    `ErrorHandler.fatalError(org.xml.sax.SAXParseException)`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Report the start of DTD declarations, if any.

  Any declarations are assumed to be in the internal subset unless otherwise indicated by a startEntity event.

  Note that the start/endDTD events will appear within the start/endDocument events from ContentHandler and before the first startElement event.

  Specified by:
    startDTD in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `name` - The document type name.
    `publicId` - The declared public identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system identifier for the external DTD subset, or null if none was declared.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endDTD()`, `startEntity(java.lang.String)`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Report the end of DTD declarations.
  Specified by:
    endDTD in interface org.xml.sax.ext.LexicalHandler

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startDTD(java.lang.String, java.lang.String, java.lang.String)`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Report the beginning of an entity in content.

  NOTE: entity references in attribute values -- and the start and end of the document entity -- are never reported.

  The start and end of the external DTD subset are reported using the pseudo-name "[dtd]". All other events must be properly nested within start/end entity events.

  Note that skipped entities will be reported through the skippedEntity event, which is part of the ContentHandler interface.

  Specified by:
    startEntity in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endEntity(java.lang.String)`, `DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)`, `DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Report the end of an entity.
  Specified by:
    endEntity in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `name` - The name of the entity that is ending.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Report the start of a CDATA section.

  The contents of the CDATA section will be reported through the regular characters event.

  Specified by:
    startCDATA in interface org.xml.sax.ext.LexicalHandler

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endCDATA()`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Report the end of a CDATA section.
  Specified by:
    endCDATA in interface org.xml.sax.ext.LexicalHandler

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startCDATA()`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Report an XML comment anywhere in the document.

  This callback will be used for comments inside or outside the document element, including comments in the external DTD subset (if read).

  Specified by:
    comment in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String model)
                     throws org.xml.sax.SAXException

  Report an element type declaration.

  The content model will consist of the string "EMPTY", the string "ANY", or a parenthesised group, optionally followed by an occurrence indicator. The model will be normalized so that all whitespace is removed,and will include the enclosing parentheses.

  Specified by:
    elementDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `name` - The element type name.
    `model` - The content model as a normalized string.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### attributeDecl

    public void attributeDecl(java.lang.String eName,
                              java.lang.String aName,
                              java.lang.String type,
                              java.lang.String valueDefault,
                              java.lang.String value)
                       throws org.xml.sax.SAXException

  Report an attribute type declaration.

  Only the effective (first) declaration for an attribute will be reported. The type will be one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION", or a parenthesized token group with the separator "|" and all whitespace removed.

  Specified by:
    attributeDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `eName` - The name of the associated element.
    `aName` - The name of the attribute.
    `type` - A string representing the attribute type.
    `valueDefault` - A string representing the attribute default ("#IMPLIED", "#REQUIRED", or "#FIXED") or null if none of these applies.
    `value` - A string representing the attribute's default value, or null if there is none.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)
                            throws org.xml.sax.SAXException

  Report an internal entity declaration.

  Only the effective (first) declaration for each entity will be reported.

  Specified by:
    internalEntityDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
    `value` - The replacement text of the entity.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`, `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws org.xml.sax.SAXException

  Report a parsed external entity declaration.

  Only the effective (first) declaration for each entity will be reported.

  Specified by:
    externalEntityDecl in interface org.xml.sax.ext.DeclHandler

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
    `publicId` - The declared public identifier of the entity, or null if none was declared.
    `systemId` - The declared system identifier of the entity.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `internalEntityDecl(java.lang.String, java.lang.String)`, `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference